# NOTE
# - new name will be probably mbsync, but project name still stays isync
Summary:	Tool to synchronize IMAP4 and Maildir mailboxes
Name:		isync
Version:	1.0.6
Release:	1
License:	GPL v2+
Group:		Applications/Networking
URL:		http://isync.sourceforge.net/
Source0:	http://downloads.sourceforge.net/isync/%{name}-%{version}.tar.gz
# Source0-md5:	18d2e3acb2fe6cae7233f7b5f6cc3292
Patch0:		recursive_imap_ubuntu.patch
BuildRequires:	db-devel
BuildRequires:	iconv
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
isync is a command line application which synchronizes mailboxes;
currently Maildir and IMAP4 mailboxes are supported. New messages,
message deletions and flag changes can be propagated both ways. isync
is suitable for use in IMAP-disconnected mode.

%prep
%setup -q
%patch0 -p1

# Convert to utf-8
for file in ChangeLog; do
	mv $file timestamp
	iconv -f ISO-8859-1 -t UTF-8 -o $file timestamp
	touch -r timestamp $file
done

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	INSTALL="install -p" \
	DESTDIR=$RPM_BUILD_ROOT

rm -r $RPM_BUILD_ROOT%{_datadir}/doc/isync

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO ChangeLog src/mbsyncrc.sample src/compat/isyncrc.sample
%attr(755,root,root) %{_bindir}/isync
%attr(755,root,root) %{_bindir}/mbsync
%attr(755,root,root) %{_bindir}/mdconvert
%attr(755,root,root) %{_bindir}/get-cert
%{_mandir}/man1/*
%changelog
* Sat Jul 06 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/isync.git;a=log;h=master

* Sun Mar 17 2013 Jan Palus <jan.palus@gmail.com> c105631
- up to 1.0.6

* Wed Sep 05 2012 Jan Rękorajski <baggins@pld-linux.org> a143aef
- release 3 (by relup.sh)

* Tue Sep 04 2012 Jan Rękorajski <baggins@pld-linux.org> 2129bd8
- Rebuild with DB 5.3
- release 2 (by relup.sh)

* Mon Jan 24 2011 sparky <sparky@pld-linux.org> 9708103
- BR: pkgconfig

* Fri Sep 10 2010 Elan Ruusamäe <glen@pld-linux.org> cd41da1
- new, based on fc spec
  probaly worth to read also: http://www.chrisstreeter.com/archive/2009/04/305/gmail-imap-backup-with-mbsync-on-ubuntu

* Fri Sep 10 2010 Elan Ruusamäe <glen@pld-linux.org> 3d27ead
- from http://www.chrisstreeter.com/wp-content/uploads/2009/04/recursive_imap_ubuntu.patch
  in this blog http://www.chrisstreeter.com/archive/2009/04/305/gmail-imap-backup-with-mbsync-on-ubuntu

